Google Chat
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Google Chat action in the pipeline
Request
REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
project_namerequiredstring
The human-readable ID of the projectExample: "my-project"
pipeline_idrequiredinteger
The ID of the pipelineExample: 123
POST PARAMETERS
typerequiredstring enum
The type of the actionAllowed enum:
GOOGLE_CHATurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksafter_action_idinteger
The numerical ID of the action, after which this action should be addednamerequiredstring
The name of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondsloopstring[]
The list of commands that will be executed in a loopcurrent_revisionstring
The git revision of the last successful run of the actionpermissionsPermissionsView
Access permissions configurationintegrationrequiredGoogleServiceAccountIntegrationRef
Google Service Account integration (GOOGLE_SERVICE_ACCOUNT)contentrequiredstring
The content of the notificationchannelrequiredstring
The ID of the Google Chat channelResponse
RESPONSE BODY
typestring enum
The type of the actionAllowed enum:
GOOGLE_CHATurlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidinteger
The ID of the actionnamestring
The name of the actioncurrent_revisionstring
The git revision of the last successful run of the actiontrigger_timestring enum
Specifies when the action should be executedAllowed enum:
ON_EVERY_EXECUTION,ON_SUCCESS,ON_FAILURE,ON_BACK_TO_SUCCESS,ON_WARNING,ON_WAIT_FOR_APPROVE,ON_TERMINATEtrigger_conditionsTriggerConditionView[]
The list of trigger conditions to meet so that the action can be triggeredrun_nextstring enum
Defines whether the action should run in parallel with the next oneAllowed enum:
WAIT_ON_SUCCESS,IN_SOFT_PARALLEL,IN_HARD_PARALLELrun_only_on_first_failureboolean
Defines whether the action should be executed on each failure. Restricted to and required if the trigger_time is ON_FAILUREvariablesEnvironmentVariableView[]
The list of variables you can use the actiondisabledboolean
When set to true the action is disabled. By default it is set to falsetimeoutinteger
The timeout in secondsignore_errorsboolean
If set to true the execution will proceed, mark action as a warning and jump to the next action. Doesn't apply to deployment actionsretry_countinteger
Number of retries if the action failsretry_intervalinteger
Delay time between auto retries in secondslast_execution_statusstring enum
The status of the last run of the actionAllowed enum:
INPROGRESS,ENQUEUED,TERMINATED,SUCCESSFUL,FAILED,INITIAL,NOT_EXECUTED,SKIPPED,TERMINATING,WAITING_FOR_APPLY,WAITING_FOR_VARIABLES,WAITING_FOR_SETTABLE_VARIABLES,WAITING_FOR_VT_SESSIONpipelineShortPipelineView
Short representation of a pipelinepermissionsPermissionsView
Access permissions configurationloopstring[]
The list of commands that will be executed in a loopintegrationIntegrationIdentifierView
The integration used by the actioncontentstring
The content of the notificationchannelstring
The ID of the Google Chat channelLast modified on Mar 18, 2026
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Send notification to Google Chat",
"type": "GOOGLE_CHAT",
"trigger_time": "ON_EVERY_EXECUTION",
"content": "Pipeline Execution successful!",
"channel": "spaces/AAAA99999",
"integration": {
"identifier": "google-chat"
}
}'STATUS200 OK